> ## Documentation Index
> Fetch the complete documentation index at: https://docs.n8negri.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# List Deliveries



## OpenAPI

````yaml /api-reference/openapi.json get /v1/webhooks/{webhook_id}/deliveries
openapi: 3.1.0
info:
  title: Imtegrate API
  version: dev
servers: []
security: []
paths:
  /v1/webhooks/{webhook_id}/deliveries:
    get:
      tags:
        - webhooks
      summary: List Deliveries
      operationId: list_deliveries_v1_webhooks__webhook_id__deliveries_get
      parameters:
        - name: webhook_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Webhook Id
        - name: limit
          in: query
          required: false
          schema:
            type: integer
            maximum: 100
            minimum: 1
            default: 20
            title: Limit
        - name: Authorization
          in: header
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Authorization
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/WebhookDeliveryOut'
                title: >-
                  Response List Deliveries V1 Webhooks  Webhook Id  Deliveries
                  Get
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    WebhookDeliveryOut:
      properties:
        id:
          type: string
          format: uuid
          title: Id
        webhook_id:
          type: string
          format: uuid
          title: Webhook Id
        event_type:
          type: string
          title: Event Type
        status:
          type: string
          title: Status
        http_status:
          anyOf:
            - type: integer
            - type: 'null'
          title: Http Status
        attempts:
          type: integer
          title: Attempts
        next_retry_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Next Retry At
        delivered_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Delivered At
        created_at:
          type: string
          format: date-time
          title: Created At
        payload:
          additionalProperties: true
          type: object
          title: Payload
        response_body:
          anyOf:
            - type: string
            - type: 'null'
          title: Response Body
      type: object
      required:
        - id
        - webhook_id
        - event_type
        - status
        - http_status
        - attempts
        - next_retry_at
        - delivered_at
        - created_at
        - payload
        - response_body
      title: WebhookDeliveryOut
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````